Bug 141812 - severe crash with trashing of filesystem
severe crash with trashing of filesystem
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-03 16:24 EST by David Kaplan
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 21:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Kaplan 2004-12-03 16:24:23 EST
Description of problem:
I just had a very severe crash of the operating system on my Dell
Inspiron 1150 running FC3 with all the updates.  I was logged into
gnome running nothing in particular (firefox and a few terminals).  I
tried to run evolution and it said that it couldn't because it was a
read only filesystem.  I didn't catch on how bad the problem was and
decided to just exit gnome.  Upon exit, it couldn't start X, spit some
strange characters on the screen and crashed.

Upon reboot I was forced into manual fsck of root filesystem.  The
first error was something about a magic flag set, in case that is
important.  Hundreds more lost inodes and many files, including system
files, files in my home directory and files I don't think I have ever
even used, were lost.  

Eventually I was able to finish the fsck and reboot, but it is going
to take forever to repair the damage to system files.

The only thing in /var/log/messages that could have anything to do
with this crash was:

Dec  3 12:24:10 localhost kernel: attempt to access beyond end of device

This is the last entry before successful reboot.

Version-Release number of selected component (if applicable):

How reproducible:
hopefully not very...
Comment 1 Dave Jones 2005-07-15 16:39:41 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:14:19 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.